-- SIO I: Trees Planter Tool, Version 1.1.1[Developed on 1.12.10i]
local settings
function script:init()
    settings = Util.optStorage(TheoTown.getStorage(), self:getDraft():getId()..':settings')
    if settings.POT == nil then
        settings.POT = false
    else
        settings.POT = settings.POT
    end
end

function script:settings()
    return {
        {
            name = TheoTown.translateInline("Preserve original trees[zh]保留原始树木"),
            value = settings.POT,
            onChange = function(newState) 
                settings.POT = newState 
                local condition = newState and 1 or 0
                TheoTown.setGlobalFunVar("!Sio1GlobalPOT", condition)
            end
        },
        {
            name = TheoTown.translateInline("Reset all settings[zh]重置所有设置"),
            value = false,
            onChange = function(newState)
                settings.POT = false
                TheoTown.setGlobalFunVar("!Sio1GlobalPOT", 0)
                TheoTown.setGlobalFunVar("!Sio1LargeAreaConfirmation", 1)
                Debug.toast(TheoTown.translateInline("Successfully reset all settings[zh]成功重置所有设置"))
            end
        }
    }
end